#!/usr/bin/perl -w
# (C) http://spcms.ru
use strict;

my $generated_sql = "/tmp/sp_update_xxi_gen.sql";

unless ( $ARGV[0] ) {
    exit print "usage $0 /path/to/sp.conf /path/to/xxi.sql\n";
}

my %c;
open CONFIG, $ARGV[0] or die("Can't open sp.conf $!");
while (<CONFIG>) {
    chomp;
    s/#.*//;
    s/^\s+//;
    s/\s+$//;
    next unless length;
    my ( $var, $value ) = split( /\s*=\s*/, $_, 2 );
    $c{$var} = $value;
}
close CONFIG;

open O, '>', $generated_sql;
open F, '<', $ARGV[1];

print O
qq[connect $c{'db_server'}:$c{'db_path'} user $c{'db_user'} password $c{'db_pass'};\n];

while (<F>) {
    print O $_;
}

close F;
close O;

my @isql_variants = qw|/usr/lib/firebird/bin/isql /usr/bin/isql-fb|;

my $isql_found = 0;

for (@isql_variants) {
    if (-e) {
        $isql_found = 1;
        print "\n*** Installing SP in XXI database: $c{'db_path'}\n";
        system("$_ -sqldialect 1 -charset WIN1251 -input $generated_sql");
        print "*** Installing SP in XXI database complete.\n\n";
    }
}

unless ($isql_found) {
    die "ERROR: isql or fbsql not found!\n";
}

unlink($generated_sql);
